Page MenuHomePhabricator

No license specified for apps/win8/wikipedia
Closed, DeclinedPublic

Description

I cannot find a license in https://git.wikimedia.org/summary/apps%2Fwin8%2Fwikipedia.git . It is on Windows Store and supposedly widely used.

It was Rezonansowy who initially reported this issue on VPT.

Here's Windows Store link: https://www.microsoft.com/en-us/store/apps/wikipedia/9wzdncrfhwm4

Event Timeline

zhaofengli raised the priority of this task from to Needs Triage.
zhaofengli updated the task description. (Show Details)
zhaofengli added a project: Software-Licensing.
zhaofengli added subscribers: zhaofengli, brion.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 27 2015, 6:33 AM
Rezonansowy updated the task description. (Show Details)Dec 27 2015, 11:03 PM
Rezonansowy set Security to None.
TheDJ assigned this task to brion.Dec 27 2015, 11:44 PM
TheDJ added a subscriber: TheDJ.

Brion wrote this if I remember correctly. By default, that probably means it is GPL2, unless Brion blesses it with a more liberal license.

Assigning to him, since not having a license is really something that needs to be fixed..

brion added a comment.Jan 4 2016, 6:36 PM

This was split out from the old cross-platform (Cordova-based) Wikipedia app repo, which I'm pretty sure was GPLv2. Should be same license as the rest of it.

I kind of expect to either kill or replace this app with an update Win10-friendly app; but will make sure the repo's marked properly. Adding to my todo. :)

Rezonansowy updated the task description. (Show Details)Jan 9 2016, 12:24 AM
Aklapper removed brion as the assignee of this task.Jun 19 2020, 4:16 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)

Aklapper closed this task as Declined.Tue, Nov 3, 2:09 PM

The Windows 8 Wikipedia application has been unmaintained and unused for years. Declining this task to reflect reality - see T259930 for more information.